// NameInputDlg.cpp : 実装ファイル
//

#include "stdafx.h"
#include "TaskSchedulerHelper2.h"
#include "NameInputDlg.h"


// CNameInputDlg ダイアログ

IMPLEMENT_DYNAMIC(CNameInputDlg, CDialog)

CNameInputDlg::CNameInputDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNameInputDlg::IDD, pParent)
	, strOptionTitle(_T(""))
{

}

CNameInputDlg::~CNameInputDlg()
{
}

void CNameInputDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, strOptionTitle);
}


BEGIN_MESSAGE_MAP(CNameInputDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CNameInputDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CNameInputDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CNameInputDlg メッセージ ハンドラ

void CNameInputDlg::OnBnClickedOk()
{
	UpdateData(TRUE);
	if(strOptionTitle.GetLength() <= 0) OnCancel();
	else OnOK();
}

void CNameInputDlg::OnBnClickedCancel()
{
	OnCancel();
}
